#region Copyright
//Copyright 2008 PivDev

//Licensed under the Apache License, Version 2.0 (the "License");
//you may not use this file except in compliance with the License.
//You may obtain a copy of the License at

//   http://www.apache.org/licenses/LICENSE-2.0

//Unless required by applicable law or agreed to in writing, software
//distributed under the License is distributed on an "AS IS" BASIS,
//WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//See the License for the specific language governing permissions and
//limitations under the License. 
#endregion
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CRMAddin
{
    public partial class ProjectChooser : Form
    {
        public string projectName = "";
        public ProjectChooser()
        {
            InitializeComponent();
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            cboItem selectedItem =(cboItem) comboBox1.SelectedItem;
            projectName = selectedItem.Key;
        }

        private void ProjectChooser_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (projectName == "") MessageBox.Show("Please select a project before continuing", "No Project Selected", MessageBoxButtons.OK, MessageBoxIcon.Error);
            else this.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            projectName = "";
            this.Close();
        }

    }
}